<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl"
    android:layout_width="match_parent"
    android:layout_height="56dp"
    android:layout_marginStart="15dp"
    android:layout_marginEnd="15dp"
    android:background="@drawable/play_float_background">

    <ImageView
        android:id="@+id/play_close"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:padding="15dp"
        android:src="@drawable/ico_play_float_pause"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/play_head"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_marginEnd="12dp"
        android:src="@drawable/ico_play_float_pic"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/tv_title"
        app:layout_constraintStart_toEndOf="@id/play_close"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@id/tv_name"
        app:layout_constraintEnd_toStartOf="@id/play_state"
        app:layout_constraintStart_toEndOf="@id/play_head"
        tools:text="丁sir说抑郁丁sir说抑郁：像心理学" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="#BFBFBF"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@id/tv_title"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="丁sir" />

    <TextView
        android:id="@+id/tv_start"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        android:textColor="#BFBFBF"
        android:textSize="10sp"
        tools:text="00:06" />

    <TextView
        android:id="@+id/tv_duration"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBaseline_toBaselineOf="@id/tv_start"
        app:layout_constraintStart_toEndOf="@id/tv_start"
        android:textColor="#BFBFBF"
        android:textSize="10sp"
        tools:text=" / 30:28" />

    <ImageView
        android:id="@+id/play_state"
        android:layout_width="57dp"
        android:layout_height="30dp"
        android:paddingStart="12dp"
        android:paddingEnd="15dp"
        android:scaleType="centerCrop"
        android:src="@drawable/ico_yyfc_play"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_title"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>